# ZeroTypesSFL
Single file library version of the ZeroTypes drop-in library

This repo has less features than ZeroTypes, but it's all in one file for convenience, portability and minimal footprint.

Differences:
- More reliance on std::string in Zstring
- Certain non-core features removed
- Addition of a Cartesian class that handles 2D rectangles and can also perform complex collision detection

Original project: http://github.com/h3rb/ZeroTypes

Repo: http://github.com/h3rb/ZeroTypesSFL
